'From Squeak3.7 of ''4 September 2004'' [latest update: #5989] on 12 December 2004 at 1:04:53 am'!
AlignmentMorph subclass: #SystemWindowLabelArea
	instanceVariableNames: 'active'
	classVariableNames: 'ActiveForm CloseBoxImage CollapseBoxImage DisabledCloseBoxImage DisabledCollapseBoxImage DisabledExpandBoxImage DisabledMenuBoxImage ExpandBoxImage InactiveForm MenuBoxImage'
	poolDictionaries: ''
	category: 'Morphic-Windows'!

!SystemWindowLabelArea commentStamp: '<historical>' prior: 0!
improved system window label area!


!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:05'!
activate
	"Bring me to the front and make me able to respond to mouse and keyboard"

	| oldTop outerMorph sketchEditor pal |
	outerMorph := self topRendererOrSelf.
	outerMorph owner ifNil: [^ self "avoid spurious activate when drop in trash"].
	oldTop := TopWindow.
	TopWindow := self.
	oldTop ifNotNil: [oldTop passivate].
	outerMorph owner firstSubmorph == outerMorph
		ifFalse: ["Bring me (with any flex) to the top if not already"
				outerMorph owner addMorphFront: outerMorph].
	self submorphsDo: [:m | m unlock].
	labelArea ifNotNil:
		[labelArea submorphsDo: [:m | m unlock].
		self useTheme 
			ifFalse: [self setStripeColorsFrom: self paneColorToUse ]
			ifTrue: [self updateBoxesColor: Color white. labelArea active: true ]. 
				].
	self isCollapsed ifFalse:
		[model modelWakeUpIn: self.
		self positionSubmorphs.
		labelArea ifNil: [self adjustBorderUponActivationWhenLabeless]].

	(sketchEditor := self extantSketchEditor) ifNotNil:
		[sketchEditor comeToFront.
		(pal := self world findA: PaintBoxMorph) ifNotNil:
			[pal comeToFront]].
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
addLabelArea
	self useTheme 
		ifTrue: 
			[labelArea := SystemWindowLabelArea new layoutPolicy: ProportionalLayout new]
		ifFalse: 
			[labelArea := (AlignmentMorph newSpacer: Color transparent)
						vResizing: #shrinkWrap;
						layoutPolicy: ProportionalLayout new].
	self addMorph: labelArea! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:51'!
boxExtent
	"answer the extent to use in all the buttons. 
	 
	the label height is used to be proportional to the fonts preferences"
	
	self useTheme ifTrue: [ ^ 15@18 ].
	
	^ (Preferences alternativeWindowBoxesLook
		ifTrue: [18 @ 18]
		ifFalse: [14 @ 14])
		max: label height @ label height ! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:05'!
createBox
	"create a button with default to be used in the label area"
	"Transcript show: self paneColor asString;  
	cr."
	| box boxBorderWidth |
	
	self useTheme 
		ifTrue: [ 
			box := IconicButton new.
			box color: Color transparent;
				 target: self.
			box borderWidth: 0.
			^ box
			].
		
	box := IconicButton new.
	box color: Color transparent;
		 target: self;
		 useRoundedCorners.

	boxBorderWidth := (Preferences alternativeWindowLook
					and: [Preferences alternativeWindowBoxesLook])
				ifTrue: [1]
				ifFalse: [0].
	box borderWidth: boxBorderWidth.

	^ box! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createCloseBox
	^(self createBox)
		labelGraphic: SystemWindowLabelArea closeBoxImage;
		extent: self boxExtent;
		actionSelector: #closeBoxHit;
		setBalloonText: 'close this window' translated! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createCollapseBox
	^(self createBox)
		labelGraphic: SystemWindowLabelArea collapseBoxImage;
		extent: self boxExtent;
		actionSelector: #collapseOrExpand;
		setBalloonText: 'collapse this window'! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createExpandBox
	^(self createBox)
		labelGraphic: SystemWindowLabelArea expandBoxImage;
		extent: self boxExtent;
		actWhen: #buttonUp;
		actionSelector: #expandBoxHit;
		setBalloonText: 'expand to full screen' translated! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createMenuBox
	^(self createBox)
		labelGraphic: SystemWindowLabelArea menuBoxImage;
		extent: self boxExtent;
		actWhen: #buttonDown;
		actionSelector: #offerWindowMenu;
		setBalloonText: 'window menu' translated! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:30'!
extent: aPoint 
	"Set the receiver's extent to value provided. Respect my minimumExtent."

	| newExtent |
	newExtent := self isCollapsed
		ifTrue: [aPoint]
		ifFalse: [aPoint max: self minimumExtent].
	newExtent = self extent ifTrue: [^ self].

	isCollapsed
		ifTrue: [super extent: newExtent x @ (self labelHeight + 2)]
		ifFalse: [super extent: newExtent].
	labelArea ifNotNil:
		[
		self useTheme 
			ifFalse: [ self setStripeColorsFrom: self paneColorToUse.].
			
		label fitContents; setWidth: (label width min: bounds width - self labelWidgetAllowance).
		label layoutFrame leftOffset: label width negated // 2.].
	isCollapsed
		ifTrue: [collapsedFrame := self bounds]
		ifFalse: [fullFrame := self bounds].		
	
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 22:25'!
initializeLabelArea
	"Initialize the label area (titlebar) for the window."
	label := StringMorph new
				contents: labelString;
				font: Preferences windowTitleFont
				emphasis: (Preferences windowTitleFont isTTCFont ifTrue: [0] ifFalse: [1]).
	"Add collapse box so #labelHeight will work"
	collapseBox := self createCollapseBox.
	
	self useTheme ifFalse: [
		stripes := Array
				with: (RectangleMorph newBounds: bounds)
				with: (RectangleMorph newBounds: bounds).	].				
	"see extent:"
	self addLabelArea.
	self useTheme ifFalse: [
		labelArea
			addMorph: (stripes first borderWidth: 1).
		labelArea
			addMorph: (stripes second borderWidth: 2). ].			
	self setLabelWidgetAllowance.
	self addCloseBox.
	self addMenuControl.
	labelArea addMorph: label.
	self wantsExpandBox
		ifTrue: [self addExpandBox].
	labelArea addMorph: collapseBox.
	self setFramesForLabelArea.
	Preferences clickOnLabelToEdit
		ifTrue: [label
				on: #mouseDown
				send: #relabel
				to: self].
	Preferences noviceMode
		ifTrue: [closeBox
				ifNotNil: [closeBox setBalloonText: 'close window' translated].
			menuBox
				ifNotNil: [menuBox setBalloonText: 'window menu' translated].
			collapseBox
				ifNotNil: [collapseBox setBalloonText: 'collapse/expand window' translated]].
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:24'!
passivate
	"Make me unable to respond to mouse and keyboard"

	self setStripeColorsFrom: self paneColorToUse.
	model modelSleep.

	"Control boxes remain active, except in novice mode"
	self submorphsDo: [:m |
		m == labelArea ifFalse:
			[m lock]].
	labelArea ifNotNil:
		[
		self useTheme 
			ifTrue: [self updateBoxesColor: Color white. labelArea active: false ]. 
		labelArea submorphsDo: [:m |
			(m == closeBox or: [m == collapseBox])
				ifTrue:
					[Preferences noviceMode ifTrue: [m lock]]
				ifFalse:
					[m lock]]
			]
		ifNil: "i.e. label area is nil, so we're titleless"
			[self adjustBorderUponDeactivationWhenLabeless].
	self world ifNotNil:  "clean damage now, so dont merge this rect with new top window"
		[self world == World ifTrue: [self world displayWorld]].
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 12/11/2004 23:50'!
updateBox: anIconMorph color: aColor 
	| fill |
	anIconMorph isNil ifTrue: [^self].
	self useTheme 
		ifTrue: 
			[labelArea active 
				ifFalse: 
					[anIconMorph = closeBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea closeBoxImage].
					anIconMorph = menuBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea menuBoxImage].
					anIconMorph = expandBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea expandBoxImage].
					anIconMorph = collapseBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea collapseBoxImage]]
					
				ifTrue: 
					[anIconMorph = closeBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea disabledCloseBoxImage].
					anIconMorph = menuBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea disabledMenuBoxImage].
					anIconMorph = expandBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea disabledExpandBoxImage].
					anIconMorph = collapseBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabelArea disabledCollapseBoxImage]].
			anIconMorph extent: self boxExtent.
			^self].
	anIconMorph
		extent: self boxExtent;
		useRoundedCorners.
	fill := GradientFillStyle ramp: { 
						0.0 -> aColor muchLighter muchLighter.
						1.0 -> aColor twiceDarker}.
	fill origin: anIconMorph topLeft + (5 @ 5).
	fill direction: anIconMorph extent.
	anIconMorph fillStyle: fill.
	anIconMorph
		borderWidth: ((Preferences alternativeWindowLook 
					and: [Preferences alternativeWindowBoxesLook]) ifTrue: [1] ifFalse: [0]);
		borderColor: aColor darker! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:02'!
useTheme

	^ self class useTheme.! !


!SystemWindow class methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:02'!
useTheme

	^ true.! !


!SystemWindowLabelArea methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 22:11'!
drawOn: aCanvas

	| form xx topLeft |
	
	self active
		ifTrue: [ form := self class activeForm ]
		ifFalse: [ form := self class inactiveForm ].
		
	xx := (self width-1 // 100) - 1.
	topLeft := self bounds topLeft.

	0 to: xx do: [:x |
		aCanvas image: form
			at: topLeft + (x*100@0)
			sourceRect: (0@0 extent: 100@20)
			rule: Form over
			].
		
		aCanvas image: form
			at: topLeft + (xx+1*100@0)
			sourceRect: (0@0 extent: (self width\\100)@20)
			rule: Form over
! !

!SystemWindowLabelArea methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 21:57'!
initialize

	super initialize.
	
	active := false.! !

!SystemWindowLabelArea methodsFor: 'accessing' stamp: 'pk 10/25/2004 22:04'!
active
	^active! !

!SystemWindowLabelArea methodsFor: 'accessing' stamp: 'pk 10/26/2004 09:29'!
active: anObject

	active := anObject.
	self changed.! !


!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 21:15'!
activeForm

	ActiveForm 
		ifNotNil: [ ^ ActiveForm ]
		ifNil: [
			| bits |
			bits := Array new: 100*20.
			#( 4294506746 4294440954 4294506746 4294440954 4294375161 4294309368 4294309368 4294112503 4293980407 4293783543 4293190894 4293454070 4292993516 4293190900 4292796396 4292993779 4292730347 4292796402 4292533227 4292730611 )
				withIndexDo: [:color :index |
					1 to: 100 do: [:x | bits at: x+(index-1*100) put: color] ].
				
			^ ActiveForm := (Form	
				extent: 100@20	
				depth: 32
				fromArray: bits
				offset: 0@0)			
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 23:36'!
closeBoxImage

	CloseBoxImage 
		ifNotNil: [ ^ CloseBoxImage ]
		ifNil: [
			^ CloseBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4294440954 4294440954 4294440954 4294440954 4294440954 4294506746 4294506746 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294375161 4292598492 4288775562 4293848816 4294835710 4294901502 4294835710 4294638332 4294440954 4291083198 4289962662 4294309368 4294375161 4292730335 4289150287 4294054196 4288177250 4293914607 4294967295 4294967295 4294901502 4291282116 4290323251 4292088883 4289698720 4294309368 4291743184 4287780958 4294885836 4293536575 4287911774 4293585385 4294967295 4291675077 4291645015 4294872224 4291580768 4288318351 4293848817 4292138456 4287861395 4287391079 4294884544 4294918496 4289690494 4290556338 4293013054 4294850648 4294890973 4285753963 4290362044 4293454573 4293256427 4290887878 4287795859 4287976027 4294937264 4294927223 4294914120 4294913096 4294885069 4286478455 4289374637 4292269789 4293783028 4293783543 4293059820 4291151305 4288321946 4288236632 4294914631 4294926205 4294928248 4286275941 4289638064 4292270302 4293520371 4293783543 4293190894 4293190894 4292664548 4288518040 4290979903 4294873760 4294872209 4294868361 4288622897 4289372838 4292993514 4293190894 4293190894 4293454070 4293454070 4290294716 4288950064 4294855518 4294950336 4286862683 4294947003 4294865545 4291109419 4290095540 4293454070 4293454070 4292993516 4290030774 4289668659 4294861688 4294884544 4286082157 4287334793 4287331196 4294890974 4294854753 4291763771 4289238946 4292927723 4291019471 4289864251 4294853732 4294753733 4286806137 4289769134 4291413959 4289440169 4287793546 4294895340 4294847314 4291827510 4289372333 4290756554 4286792271 4294887641 4285753451 4288979624 4292006614 4293256680 4291875028 4288848295 4287004803 4294824668 4288031549 4289440436 4291414487 4287992476 4285360495 4288651177 4291546328 4293190897 4293585654 4293125361 4291612122 4288848557 4285754996 4286874249 4290690764 4292269795 4290624455 4289637558 4291216849 4292467175 4292730603 4292730603 4292730603 4292532968 4291414486 4289703608 4290164160 4292006623 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292796402 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 23:41'!
collapseBoxImage

	CollapseBoxImage 
		ifNotNil: [ ^ CollapseBoxImage ]
		ifNil: [
			^ CollapseBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440953 4294440953 4294506746 4294572539 4294308077 4290812822 4289625723 4290746515 4294177008 4294375161 4294375161 4294375161 4294375161 4294309368 4294375161 4294307562 4288438337 4288965436 4292656781 4294436528 4292919696 4288303149 4288569904 4294110184 4294309368 4294309368 4294375160 4294242283 4288965673 4293637987 4294967216 4294967231 4294967232 4294967228 4294963319 4293562655 4287908885 4294044391 4294309368 4294309624 4289229120 4293436231 4294965620 4291470669 4289164589 4291010881 4290681659 4290545975 4294955842 4293758231 4288437802 4293980917 4293910488 4288629776 4294955070 4291270714 4288576610 4289572267 4289243305 4290032822 4289105011 4290348084 4294955065 4288758795 4293189345 4290679698 4291850264 4294957879 4288901937 4291151302 4291611852 4292203989 4291677645 4291085510 4288902458 4294962756 4293567525 4290751153 4289297537 4293563683 4294956078 4289100105 4292006612 4293256678 4293519850 4293190885 4292138197 4289430101 4294959670 4294956334 4289434268 4290352538 4292645918 4294960685 4288570927 4293783024 4294769916 4294901502 4294704123 4293848817 4288571449 4294961711 4294164008 4289566626 4291413448 4288434701 4294966073 4290411036 4290352536 4294046196 4294046195 4294177782 4291011750 4290874665 4294966845 4289554452 4290426298 4290361795 4287516462 4294827326 4294967119 4290147101 4288635952 4289493583 4288702004 4290874407 4294966600 4294961988 4287186723 4290624966 4289967294 4290557876 4287119893 4294832207 4294967126 4294967122 4294963038 4294967126 4294967126 4294965074 4287318292 4289636774 4290164417 4291151573 4288519593 4288453275 4287648553 4288837411 4293256299 4294967208 4293650804 4289429804 4287581477 4289242015 4288717229 4291283159 4291875037 4290032831 4287664281 4286611591 4287926931 4289758592 4288835187 4289496183 4287860880 4286677385 4287861660 4290164418 4291940831 4292533230 4291677919 4289967299 4288190886 4287006611 4286743438 4286743438 4286743438 4287072404 4288256423 4290098886 4291743712 4292533230 4292467434 4292270055 4291612124 4290559435 4289572539 4288848815 4288585386 4288848815 4289572539 4290625228 4291677917 4292270055 4292467434)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 23:54'!
disabledCloseBoxImage

	DisabledCloseBoxImage 
		ifNotNil: [ ^ DisabledCloseBoxImage ]
		ifNil: [
			^ DisabledCloseBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293783021 4293454056 4293059298 4293585642 4293914607 4293914607 4293914607 4293914607 4293783021 4293322470 4293190884 4293717228 4293848814 4293125091 4291151301 4289440683 4291809231 4293651435 4294046193 4294111986 4293848814 4292861919 4290427578 4289967027 4292401368 4293585642 4291611852 4287598479 4287401100 4288190616 4291611852 4293651435 4294046193 4293125091 4290427578 4287532686 4286940549 4289506476 4292927712 4290953922 4287532686 4289045925 4287993237 4288256409 4291611852 4292796126 4290624957 4288716960 4289111718 4287466893 4288782753 4292467161 4291414473 4288256409 4287730065 4289309097 4288651167 4288914339 4289506476 4288190616 4288848546 4290032820 4287664272 4289769648 4292664540 4292401368 4290295992 4288059030 4287532686 4288914339 4288782753 4288387995 4288322202 4289374890 4288256409 4289111718 4291546059 4293059298 4293059298 4292138196 4290230199 4287795858 4286940549 4288322202 4289045925 4288782753 4287137928 4288716960 4291217094 4292730333 4293190884 4292927712 4292664540 4291085508 4287927444 4287137928 4289572269 4289703855 4289309097 4286874756 4288387995 4291480266 4292796126 4292927712 4292927712 4292006610 4289374890 4287137928 4288585374 4289638062 4287730065 4289703855 4289111718 4287532686 4289309097 4291875024 4292927712 4291940817 4289309097 4287269514 4288848546 4289703855 4287664272 4287335307 4288256409 4290295992 4288848546 4287335307 4288914339 4291611852 4290493371 4287006342 4288256409 4289572269 4288256409 4288980132 4289967027 4289045925 4288914339 4290295992 4288256409 4286808963 4289440683 4290164406 4286940549 4288980132 4287730065 4288848546 4291085508 4292006610 4291019715 4289045925 4288585374 4289243304 4286611584 4289177511 4290888129 4288124823 4287401100 4288651167 4290888129 4292467161 4292861919 4292401368 4290953922 4288914339 4287532686 4287532686 4290295992 4291809231 4290427578 4289703855 4290822336 4292072403 4292598747 4292664540 4292598747 4292072403 4291019715 4289769648 4290098613 4291611852 4292598747 4292335575 4292203989 4292401368 4292664540 4292730333 4292730333 4292730333 4292664540 4292467161 4292269782 4292269782 4292532954 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/12/2004 00:04'!
disabledCollapseBoxImage

	DisabledCollapseBoxImage 
		ifNotNil: [ ^ DisabledCollapseBoxImage ]
		ifNil: [
			^ DisabledCollapseBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293848814 4293848814 4293848814 4293848814 4293651435 4293125091 4292927712 4293125091 4293651435 4293848814 4293848814 4293848814 4293848814 4293783021 4293783021 4293454056 4292598747 4291743438 4290230199 4289506476 4290164406 4291677645 4292467161 4293388263 4293783021 4293783021 4293717228 4293322470 4291414473 4288124823 4287993237 4289703855 4290624957 4289638062 4287401100 4287466893 4291085508 4293190884 4293651435 4293388263 4291480266 4287795858 4288387995 4289769648 4290493371 4290953922 4290361785 4288453788 4286743170 4286808963 4291019715 4293322470 4292335575 4287861651 4287532686 4288585374 4287730065 4287137928 4287598479 4287598479 4287006342 4287203721 4286348412 4287137928 4292072403 4291019715 4286282619 4287269514 4286940549 4287335307 4288453788 4288914339 4288914339 4287598479 4286545791 4286940549 4286216826 4291019715 4289177511 4286479998 4287072135 4286479998 4289374890 4290888129 4291282887 4290953922 4289572269 4286677377 4287532686 4287269514 4289835441 4288387995 4286874756 4287137928 4286808963 4290756543 4292467161 4292796126 4292401368 4290822336 4287203721 4287598479 4287664272 4288914339 4288914339 4286545791 4286940549 4286545791 4291217094 4293388263 4293783021 4293388263 4291414473 4286940549 4287269514 4287203721 4288914339 4289440683 4285756275 4286940549 4286479998 4288848546 4291611852 4292269782 4291743438 4289309097 4286940549 4287203721 4286085240 4289177511 4289572269 4286282619 4287006342 4287598479 4286611584 4286940549 4287598479 4287137928 4287006342 4287730065 4287137928 4286085240 4289572269 4290164406 4288190616 4286019447 4287335307 4287664272 4288190616 4288848546 4288387995 4287861651 4287401100 4286019447 4287861651 4290164406 4290822336 4288914339 4287137928 4285624689 4286085240 4288387995 4289769648 4288651167 4286348412 4285690482 4287401100 4289045925 4290953922 4291546059 4289901234 4288059030 4286743170 4286940549 4287598479 4287598479 4287532686 4286940549 4286808963 4288322202 4290098613 4291611852 4292269782 4291348680 4289835441 4288453788 4287598479 4287269514 4287137928 4287269514 4287664272 4288519581 4290032820 4291414473 4292269782 4292467161 4292072403 4291414473 4290427578 4289572269 4288980132 4288782753 4288980132 4289638062 4290427578 4291480266 4292138196 4292467161)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/12/2004 00:00'!
disabledExpandBoxImage

	DisabledExpandBoxImage 
		ifNotNil: [ ^ DisabledExpandBoxImage ]
		ifNil: [
			^ DisabledExpandBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4292269782 4292072403 4292006610 4291875024 4291743438 4291677645 4292138196 4293388263 4293783021 4293848814 4293848814 4293848814 4293848814 4286874756 4286808963 4286808963 4286677377 4286151033 4285164138 4286479998 4292138196 4293651435 4293717228 4293783021 4293783021 4293783021 4285558896 4285690482 4287401100 4289177511 4288585374 4284637794 4284506208 4291348680 4293256677 4293519849 4293519849 4293651435 4293717228 4285493103 4285624689 4288651167 4289769648 4288914339 4284637794 4284045657 4289835441 4291414473 4291480266 4291480266 4292006610 4293388263 4285427310 4285558896 4288782753 4290032820 4289440683 4284703587 4283387727 4285953654 4286479998 4286414205 4285558896 4286479998 4292138196 4285427310 4285361517 4287664272 4289374890 4288914339 4285229931 4284440415 4287730065 4288387995 4288651167 4284966759 4285098345 4291743438 4285690482 4286019447 4286348412 4286282619 4286414205 4286282619 4285624689 4287137928 4287598479 4287137928 4284045657 4284900966 4291611852 4287598479 4288716960 4289111718 4288387995 4288848546 4289703855 4289769648 4289045925 4289243304 4287598479 4283585106 4284703587 4291348680 4289309097 4288519581 4288256409 4284703587 4284506208 4287598479 4289769648 4291217094 4291611852 4289111718 4283914071 4284769380 4291414473 4290953922 4289769648 4287993237 4284308829 4283979864 4287993237 4290756543 4292203989 4292072403 4289440683 4284572001 4284900966 4291217094 4292335575 4291282887 4288453788 4284440415 4284111450 4288059030 4290295992 4291019715 4290559164 4288453788 4284572001 4284900966 4291282887 4292598747 4291677645 4288914339 4285032552 4284045657 4284506208 4285098345 4285493103 4285624689 4285295724 4284308829 4285229931 4291217094 4292730333 4292006610 4290164406 4287927444 4287466893 4286808963 4288190616 4289440683 4289572269 4288716960 4287401100 4287532686 4291677645 4292598747 4292072403 4290756543 4288914339 4287664272 4287203721 4287532686 4287795858 4287795858 4287598479 4287598479 4288914339 4291875024 4292664540 4292467161 4291809231 4290756543 4289967027 4289638062 4289638062 4289638062 4289638062 4289638062 4289967027 4290888129 4292401368 4292532954 4292532954 4292335575 4292006610 4291743438 4291677645 4291677645 4291677645 4291677645 4291677645 4291743438 4292072403 4292532954)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 23:57'!
disabledMenuBoxImage

	DisabledMenuBoxImage 
		ifNotNil: [ ^ DisabledMenuBoxImage ]
		ifNil: [
			^ DisabledMenuBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293783021 4293651435 4293059298 4293059298 4293388263 4293256677 4293190884 4293256677 4293190884 4292861919 4292927712 4293585642 4293783021 4293651435 4292861919 4289901234 4289703855 4291282887 4291085508 4290822336 4291217094 4290756543 4288980132 4289111718 4292730333 4293651435 4293519849 4292138196 4287861651 4287269514 4288914339 4289703855 4290098613 4290295992 4289967027 4288190616 4287730065 4292006610 4293519849 4293256677 4291546059 4287730065 4287335307 4288651167 4289243304 4289374890 4289243304 4288980132 4288585374 4287598479 4291348680 4293256677 4293059298 4291348680 4288782753 4288124823 4288914339 4289638062 4289835441 4289769648 4289440683 4289638062 4288190616 4291151301 4293059298 4292927712 4291348680 4289309097 4288782753 4290295992 4291743438 4292138196 4292138196 4291480266 4290822336 4289177511 4291151301 4292861919 4292598747 4290953922 4288519581 4287927444 4290953922 4292861919 4293190884 4292993505 4291875024 4290624957 4288980132 4290888129 4292532954 4292664540 4290822336 4287730065 4287927444 4291151301 4292664540 4292532954 4291940817 4290888129 4289243304 4288059030 4290756543 4292598747 4292401368 4290690750 4288322202 4288848546 4290230199 4289572269 4287795858 4286282619 4286743170 4287072135 4287006342 4290361785 4292401368 4292467161 4290888129 4288980132 4289572269 4290295992 4290295992 4289703855 4289045925 4289177511 4288782753 4288124823 4290690750 4292467161 4292269782 4290756543 4288585374 4288190616 4288716960 4288914339 4288716960 4288453788 4288124823 4287664272 4288190616 4290624957 4292269782 4292467161 4291348680 4289835441 4289901234 4289769648 4289769648 4289769648 4289703855 4289572269 4289374890 4289440683 4291282887 4292467161 4292532954 4292006610 4291414473 4291282887 4291151301 4291151301 4291151301 4291151301 4291085508 4291085508 4291282887 4291940817 4292532954 4292664540 4292532954 4292467161 4292335575 4292335575 4292335575 4292335575 4292335575 4292335575 4292335575 4292401368 4292532954 4292664540 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747 4292598747)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 23:39'!
expandBoxImage

	ExpandBoxImage 
		ifNotNil: [ ^ ExpandBoxImage ]
		ifNil: [
			^ ExpandBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4294440954 4294111989 4293848817 4293848817 4293848817 4293848817 4293848817 4294111989 4294309368 4294440954 4294440954 4294440954 4294440954 4294375161 4283209228 4285846307 4284728594 4283806980 4282557184 4281242880 4283792180 4294243574 4294375160 4294375161 4294375161 4294375161 4294309368 4282361600 4285778982 4285857057 4290707096 4290707096 4283874304 4282021384 4293651436 4294111988 4294375160 4294309368 4294309368 4294309368 4282361600 4284728594 4290227902 4290227902 4290227902 4283675393 4282021384 4293125098 4293125098 4293125098 4293125098 4293980403 4294112503 4282361600 4284728594 4290227902 4290427836 4291283150 4282951680 4282021384 4284136964 4283546368 4283217152 4282691328 4281639936 4293980407 4282361600 4284728594 4288651166 4291283150 4291283150 4284267530 4283466022 4290966165 4288150874 4292607686 4283934486 4281637888 4293783543 4282749956 4285714976 4284728081 4283806724 4284004358 4285584156 4282951680 4286940549 4287072136 4287138187 4283138334 4281966080 4293190894 4285584156 4290966165 4290966165 4290966165 4292015537 4291755698 4291755698 4288914339 4290098614 4288519583 4282021384 4281441024 4293454070 4289045935 4287532692 4289765824 4281824261 4281824261 4287335307 4289506476 4292401368 4293322470 4290888133 4282219016 4281441024 4292993516 4291151311 4289967292 4288846509 4283085312 4281441024 4288914339 4291611853 4293190885 4293059301 4290362048 4283402528 4281835264 4293190900 4292861935 4292138211 4289307061 4282361600 4281441024 4290888131 4293190885 4293717231 4292861926 4290624966 4283860778 4281834496 4292796396 4292796396 4292270051 4289373366 4282361088 4282487040 4282150927 4281824261 4281496064 4282152970 4282874651 4283013380 4281702912 4292993779 4292993779 4292467435 4290688717 4288736593 4289655403 4285857057 4289920389 4292607686 4292607686 4290707096 4288669532 4286829877 4292730347 4292730347 4292401382 4290953934 4288388004 4286677385 4286282626 4286348420 4286414213 4286348420 4286282626 4286677385 4288388004 4292796402 4292796402 4292664816 4292072678 4291019732 4290098886 4289835713 4289835713 4289835713 4289835713 4289835713 4290098886 4291019732 4292533227 4292533227 4292533227 4292401641 4292204262 4292006882 4292006882 4292006882 4292006882 4292006882 4292006882 4292006882 4292204262)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 21:20'!
inactiveForm

	InactiveForm 
		ifNotNil: [ ^ InactiveForm ]
		ifNil: [
			| bits |
			bits := Array new: 100*20.
			#(4293914607 4293848814 4293914607 4293848814 4293848814 4293783021 4293717228 4293651435 4293519849 4293322470 4292993505 4293059298 4292927712 4292927712 4292730333 4292861919 4292664540 4292730333 4292598747 4292730333)
				withIndexDo: [:color :index |
					1 to: 100 do: [:x | bits at: x+(index-1*100) put: color] ].
				
			^ InactiveForm := (Form	
				extent: 100@20	
				depth: 32
				fromArray: bits
				offset: 0@0)			
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/12/2004 01:01'!
installAqua

	Preferences installPastelWindowColors.

	Preferences setDefaultFonts: #(
		(setSystemFontTo:		BitstreamVeraSans	8)
		(setListFontTo:			BitstreamVeraSans	8)
		(setFlapsFontTo:			ComicSansMS		9)
		(setEToysFontTo:			Accujen				10)
		(setMenuFontTo:			BitstreamVeraSans	8)
		(setWindowTitleFontTo:	BitstreamVeraSans	8)
		(setBalloonHelpFontTo:	Accujen				9)
		(setCodeFontTo:			BitstreamVeraSans	8)
		(setButtonFontTo:		BitstreamVeraSans	8)
	).
	
	World color:(Color r: 0.065 g: 0.194 b: 0.452).
	World gradientFillColor: (Color r: 0.355 g: 0.581 b: 0.774).! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/11/2004 23:37'!
menuBoxImage

	MenuBoxImage 
		ifNotNil: [ ^ MenuBoxImage ]
		ifNil: [
			^ MenuBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294440954 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294375161 4294309368 4294243575 4287319039 4286011135 4291411199 4289497855 4288050687 4290288639 4288972799 4284362239 4282327292 4294243575 4294309368 4294243575 4293783024 4282457832 4283375582 4286729215 4288769023 4290216959 4290611967 4291203583 4284431861 4281673690 4293783024 4294243575 4293980917 4292599264 4281614547 4283898621 4289506476 4289835441 4289703855 4289572269 4288914341 4284443130 4281211349 4292533470 4293980917 4293848821 4291940823 4283851755 4284495615 4288848546 4289769648 4289835441 4289769648 4288914340 4289366783 4281544413 4291875031 4293848821 4293586164 4291743959 4289227263 4283912191 4291217352 4292993505 4293190884 4293585642 4292401625 4292914431 4283451647 4291678166 4293586164 4292993515 4291348689 4286398719 4281810129 4291940818 4293783022 4293914608 4293848815 4292269784 4292518399 4282926071 4291217103 4292993515 4293256691 4291677657 4282263011 4282265830 4292730334 4294769916 4294967295 4294769916 4293125092 4288900351 4282789615 4291546071 4293256691 4292796137 4291217103 4283444983 4286467839 4287332607 4284508386 4280691900 4278191237 4278850746 4283177443 4281402327 4291151311 4292796137 4292993521 4291282901 4287451391 4290677247 4292321279 4293044479 4292781055 4291333887 4292057599 4290283007 4285017343 4291282901 4292993521 4292664810 4291019983 4287730073 4287006349 4288124830 4288322464 4287993500 4287795864 4287269777 4286480262 4287401365 4290888397 4292664810 4292862193 4291677917 4289243573 4290625229 4289835713 4289835713 4289835713 4289835713 4289835713 4289835713 4288848815 4291546332 4292862193 4292664554 4292335588 4291546072 4291282899 4291348692 4291348692 4291348692 4291282899 4291282899 4291217106 4291414486 4292269795 4292664554 4292796402 4292730609 4292664816 4292599023 4292599023 4292599023 4292599023 4292599023 4292599023 4292599023 4292664816 4292730609 4292796402 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227 4292533227)
	offset: 0@0)		
			]
	! !

!SystemWindowLabelArea class methodsFor: 'as yet unclassified' stamp: 'pk 12/12/2004 00:04'!
resetImages

	"SystemWindowLabelArea resetImages"

	ActiveForm :=  CloseBoxImage :=  CollapseBoxImage :=  ExpandBoxImage :=  InactiveForm := MenuBoxImage :=  DisabledCloseBoxImage :=  DisabledCollapseBoxImage :=  DisabledExpandBoxImage :=  DisabledMenuBoxImage :=  nil.
! !

"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!).
Be sure to put any further comments in double-quotes, like this one."

SystemWindowLabelArea installAqua.
!

